
Figure - Bug #116434
【BSP】【EVT3】【ST】【Boot】使用userdebug版本0068-0075 进行MCU异常断电压测问题，设备出现无法启
动反复进recovery
2023-02-22 10:20 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-02-22

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: userdebug 0068- userdebug 0075

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 背光亮度值为０时，背光并未完全关闭

Description

【前提条件】

None

【测试步骤】

1. 烧写最新MCU mot 0.0.9

2. 然后烧0068的版本，这个mcu是 0.0.7 这里会生一次降级MCU降级，在降级过程中断电

3. 再烧0075的版本，MCU 0.0.9， 这里会生一次降级MCU降级，在降级过程中断电

4. 最后循环升降

【预期结果】

每次均能正常启动

【实际结果】

循环第十三次后，设备反复进行进入recovery

初步分析为key 未备份

History

#1 - 2023-02-28 13:49 - CD TPM-王祥林

- Category set to BSP

#2 - 2023-03-02 10:29 - CD BSP-杜磊

- Status changed from New to RESOLVED

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

- Need_Info changed from -- to TEST

- Resolution changed from -- to FIXED

- Root cause set to 背光亮度值为０时，背光并未完全关闭

Hi, 刘强，

帮忙验证一下VB版本：

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230301/202303012056-2775

验证方法：

1. 正常开机，确认一下屏幕能否正常显示，亮灭屏，背光调节是否正常,重启３０次。

2. 异常开机，进入recovery模式时，lcd是否还会有显示。
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230301/202303012056-2775


#3 - 2023-03-03 18:22 - CDTS_TEST 王成

- Priority changed from Normal to High

- Severity changed from Normal to Critical

#4 - 2023-03-06 17:42 - CDTS_Test 吴诗雨

- File 20230306-173926.jpg added

- File 20230306-173908.jpeg added

- Priority changed from High to Normal

- Severity changed from Critical to Normal

【复现结果】

1、正常开机，重启30次，正常显示，亮灭屏，亮度调节正常

2、异常开机，删除/persist/key和/metadata/vold/*/key后，重启设备进入recovery模式，lcd呈黑屏状态，没有显示

#5 - 2023-03-07 11:04 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CDTS_Test 吴诗雨

等合入正式版本后，麻烦再次验证，确认没问题后关闭

#6 - 2023-03-07 13:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185110 general/abl/tianocore/edk2 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:Display: Disable display in recovery mode[1/2]Check current whether in recovery modeTC-RID: 0301-0100805IssueID: TS-R-DF-116434Change-Id:

I0c5170ab4b7ad8d2810b6811d9193b4d25393532

#7 - 2023-03-07 13:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185107 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:Display: Disable display in recovery mode[2/2]Disable display in recovery modeTC-RID: 0301-0100805IssueID: TS-R-DF-116434Change-Id:

I275a4ce9e3cdd6b6d39f1f86f08c3f235aed0ad2

#8 - 2023-03-07 13:53 - CD BSP-杜磊

- % Done changed from 0 to 100
#9 - 2023-03-08 14:12 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

【验证版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303080018

【验证结果】

1、正常开机，重启30次，正常显示，亮灭屏，亮度调节正常

2、异常开机（总共重复步骤5次进入recovery模式）

删除/persist/key和/metadata/vold/*/key后，重启设备进入recovery模式，lcd呈黑屏状态，没有显示

#10 - 2023-03-08 14:12 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

teraterm.log 919 KB 2023-02-22 移动测试一组_CDTS 刘强

20230306-173926.jpg 91.8 KB 2023-03-06 CDTS_Test 吴诗雨

20230306-173908.jpeg 130 KB 2023-03-06 CDTS_Test 吴诗雨
